Skip to main content
POST
Save a draft
Write access: a member/administrator with a write-enabled credential, or an authorized signed-in user. Save incomplete content without publishing. Use version 0 and a new draftId for a new draft, or its current version to update. Reuse the request key for retries. Use version 0 for a new UUID, or the latest version for an update. Reuse the same idempotencyKey and identical content when retrying. Incomplete content is allowed. Saving does not publish. MCP clients can use save_draft for this operation. Request conventions · API keys · MCP connections

Authorizations

Authorization
string
header
required

Personal or team Posted REST API key

Path Parameters

draftId
string<uuid>
required

The draftId from the corresponding list, record or authorization response.

Body

application/json
text
string
required
Maximum string length: 64000
connectionIds
string<uuid>[]
required
Maximum array length: 50
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
mediaIds
string<uuid>[]
required
Maximum array length: 20
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
version
integer
required
Required range: 0 <= x <= 9007199254740991
idempotencyKey
string
required
Pattern: ^[A-Za-z0-9._:-]{8,128}$
textOverrides
object
additionalPosts
object[]
mediaOverrides
object

Response

Existing operation replay or saved-draft update.

draft
object